# build with nodejs
FROM node:16.17.0-bullseye-slim AS build
ENV NODE_ENV production
WORKDIR /app
COPY . /app
RUN mkdir -p _site node_modules
RUN chown -R node:node .
USER node
RUN NODE_ENV=development npm ci
RUN npm run build

# serve compiled files with local nginx config
FROM nginx:alpine
WORKDIR /app
COPY --from=build /app/_site .
COPY ./nginx.conf /etc/nginx/nginx.conf
